# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install unzip
# END SourceDeps(oneline)
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Name:           gtkwhiteboard
Version:        1.3
Release:        alt1_11
Summary:        GTK Wiimote Whiteboard
Group:          Video
License:        MIT
URL:            http://stepd.ca/gtkwhiteboard/
Source0:        http://stepd.ca/gtkwhiteboard/%{name}-%{version}.zip
Source1:        gtkwhiteboard.sh
Source2:        gtkwhiteboard.desktop
Source3:        whii.png
BuildRequires:  desktop-file-utils, python-devel >= 2.4
Requires:       python-module-pybluez, python-module-wx, python-module-xlib
BuildArch:      noarch
Source44: import.info
                   
%description
Wii whiteboard python implementation.

%prep
%setup -q -c
# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' README
sed -i 's/\r//' mousecontrol.py

%build

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}/%{name}-%{version}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{_builddir}/%{name}-%{version}/*.py \
   %{buildroot}%{python_sitelibdir_noarch}/%{name}-%{version}
install -m 644 %{_builddir}/%{name}-%{version}/%{name}.ico \
   %{buildroot}%{python_sitelibdir_noarch}/%{name}-%{version}

install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
sed -i -e 's|%{name}-%{version}|%{python_sitelibdir_noarch}/%{name}-%{version}|g' \
   %{buildroot}%{_bindir}/%{name}
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor ""                \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE2}

%files
%doc README 
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_9
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_8
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_6
- initial fc import

